#include <objbase.h>  // added for Visual C
#include <initguid.h> // added for Visual C
#include <gl\gl.h>
#include <gl\glu.h>
// #include "glos.h" // Needed for Watcom?

#include <windows.h>

#define WM_INIT         WM_USER

#ifdef __cplusplus
extern "C" {
#endif

extern HPALETTE ghpalOld, ghPalette;
extern LOGPALETTE *pPal;
extern int lines;

extern char    configData1[200];
extern char    configData2[200];
extern char    configData3[200];
extern int     hasMMX;
extern unsigned int megaHz;
extern DWORD   ramsize;
extern DWORD   freesize;
extern LARGE_INTEGER astarttime;
extern double        runSecs;
extern char          timeday[30];

BOOL initialize(HWND hwnd, char bmpfile[100]);
GLvoid draw_scene(HWND, int, float, BOOL, float, int, int, float, float, int, int, int, double);
GLvoid displayText(int, int, int, double, BOOL);
GLvoid initializeFont(HDC, int);
GLvoid deleteFont(HDC);

void WhatConfig();
double getRunSecs(void);
void   getStartTime(void);
void local_time();

void __cdecl Msg2( LPSTR Mess, GLenum);

BOOL bSetupPixelFormat(HDC, BOOL, int);
BOOL ShowPixelFormat(HDC);
BOOL ShowParameters(HDC);


#ifdef __cplusplus
};
#endif




typedef struct {
char far *cmdline;
} extra_data;

#define EXTRA_DATA_OFFSET   0

#define IDC_STATIC                     -1
