REM  This runs the tests in OneGL1 via VideoGL1

REM VideoGL1 [RunSecs], [T1 or T2 or T3 or T4 or T5 ot T6 or T7 or T8],
REM          [Noflip], [Delay]
REM          [Auto], [B8], [B16], [B24], [B32], [NoVesa], [Max]

REM  Parameters passed to OneGL1 are:

REM  T1, T2, T3, T4, T5, T6, T7 or T8 to run a single test, default all
REM  RUNSECS sss where sss is running time of each test, maximum 900 seconds, default 5
REM  DELAY dd where dd is a pause time between tests, maximum 10 seconds, default 1
REM  NOFLIP to run using 3D front buffer only - gives broken images and flashing

REM  Examples    VideoGL1 T8, RunSecs or VideoGL1 NoFlip                                    

REM  VideoGL1 changes screen settings before running OneGL1 default settings are:
REM  640 x 480, 800 x 600 and 1024 x 768 at 16 and 32 bits per pixel

REM  Parameters used by VideoGL1 are:

REM  AUTO to run OneGL1, log results and exit automatically
REM  B8, B16, B24, B32 to run at 8, 16, 24 or 32 bits
REM  NOVESA to avoid running Vesa function program
REM  MAX to run at all possible monitor size settings

REM  WARNING: MAX should not be used if display properties shows invalid selections.

REM  Example one test  VideoGL1 T8, RunSecs 100
REM  Example mixed     VideoGL1 Auto, B16, B32, NoFlip

REM  The following will run at all available screen size settings. 
REM  See MAX WARNING.

REM VideoGL1 Auto, B8, B16, B24, B32, Max

REM  Results are in log file VideoLog.txt

